Market Data

Get live crypto reference prices

POST
/crypto/reference-prices

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Request Body

application/json
  1. body
targets*array<|||>
Items1 <= items <= 100

Response Body

200

application/json
  1. response
data*array<>
softRefreshMs*number
hardMaxAgeMs*number
Example Request
curl -X POST 'https://api.t.sufwankhalid.com/crypto/reference-prices' \  -H 'Content-Type: application/json' \  -d '{  "targets": [    {      "type": "venueMarket",      "venueMarketId": "string"    }  ]}'
Example Response
{  "data": [    {      "target": {        "type": "venueMarket",        "venueMarketId": "string"      },      "venue": "kalshi",      "venueEventId": "string",      "venueMarketId": "string",      "externalEventId": "string",      "externalMarketId": "string",      "asset": "string",      "quoteAsset": "USD",      "raw": "string",      "decimals": 0,      "normalized": 0,      "providerTimestamp": "string",      "fetchedAt": "string",      "ageMs": 0,      "refreshing": true,      "stale": true,      "source": {        "provider": "string",        "providerMarketId": "string",        "confidence": "verified"      },      "error": {        "code": "not_found",        "message": "string"      }    }  ],  "softRefreshMs": 0,  "hardMaxAgeMs": 0}